# `spack external find` with                                                                                                                            
# Currently Loaded Modules:                                                                                                                             
#   1) Stages/2024 (S)   2) GCCcore/.12.3.0 (H)   3) zlib/.1.2.13 (H)   4) binutils/.2.40 (H)   5) StdEnv/2024   6) spack/0.20.0                        
packages:
  cuda:
    externals:
    - spec: cuda@12
      prefix: /p/software/jusuf/stages/2024/software/CUDA/12/
      modules:
      - Stages/2024
      - CUDA/12
  cudnn:
    externals:
    - spec: cudnn@8.9.5.29-12
      prefix: /p/software/jusuf/stages/2024/software/cuDNN/8.9.5.29-CUDA-12/
      modules:
      - Stages/2024
      - cuDNN/8.9.5.29-CUDA-12
  mpi:
    buildable: False
  mpich:
    externals:
    - spec: "mpich@4.1.5%gcc@12.3.0 arch=linux-rocky8-zen2"
      prefix: /p/software/jusuf/stages/2024/software/psmpi/5.9.2-1-GCC-12.3.0-pmi/
      modules:
      - Stages/2024
      - GCC/12.3.0
      - ParaStationMPI/5.9.2-1-pmi
      - MPI-settings/CUDA

  all:
    compiler: ["gcc@12.3"]
    variants: +mpi +cuda cuda_arch=75,80
  llvm:
    variants: ~cuda
  binutils:
    externals:
    - spec: binutils@2.40
      prefix: /p/software/jusuf/stages/2024/software/binutils/2.40-GCCcore-12.3.0
  openssl:
    externals:
    - spec: openssl@1.1
      prefix: /p/software/jusuf/stages/2024/software/OpenSSL/1.1
